//PROGRAMM FOR BUTTON AND LED
//
// PROCESSOR : PIC16F628A
// CLOCK	 : 20MHz, EXTERNAL


#include	<pic.h>

__CONFIG(WDTDIS & MCLREN & BORDIS & HS & PWRTEN & LVPDIS) ;


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

// main function
void main( void ) {


	OPTION	= 0x80;			// GPIO pull-ups are disabled
	INTCON 	= 0x0;			// Disable inerupt
	CMCON 	= 0x07;		    // port as Digital IO
	TRISB3 	= 0;			// Led pin as output
	TRISB2 	= 1;			// Button as input


	// loop forever - echo 
	while(1) {

		if((PORTB&0x04)==0) {
			PORTB |= 0x08; 
		}
		else {
			PORTB &= ~0x08; 
		}
	}
}
